import 'package:flutter/material.dart';
import 'package:flutter_chinese_chees/utils/game_manager.dart';
import 'package:flutter_chinese_chees/views/game_board.dart';

/// Description: 游戏界面
/// Time       : 04/28/2023 Friday
/// Author     : liuyuqi.gov@msn.cn
class HomePage extends StatefulWidget {
  const HomePage({super.key});

  @override
  State<HomePage> createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  final GameManager gamer = GameManager();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
          title: Text("context.l10n.appTitle"),
          leading: Builder(builder: (context) {
            return IconButton(
              icon: Icon(Icons.menu),
              onPressed: () {
                Scaffold.of(context).openDrawer();
              },
            );
          }),
          actions: [
            IconButton(
              icon: Icon(Icons.logout),
              onPressed: () {},
            )
          ]),
      drawer: Drawer(
          child: ListView(children: [
        UserAccountsDrawerHeader(
            accountName: Text("张三"), accountEmail: Text(""))
      ])),
      body: GameBoard(),
    );
  }

  @override
  void dispose() {
    super.dispose();
  }
}
